<template>
  <v-dialog v-model="dialog" scrollable max-width="640px">
    <template #activator="{ props: dialogsProps }">
      <v-btn
        color="primary"
        variant="outlined"
        size="small"
        v-bind="dialogsProps"
      >
        <v-icon size="small">mdi-dock-window</v-icon>
        {{ header }}
      </v-btn>
    </template>
    <v-card>
      <v-card-title>{{ header }}</v-card-title>
      <v-card-text class="pt-4">
        <slot> </slot>
      </v-card-text>
      <v-card-actions class="justify-end">
        <v-btn variant="text" color="primary" @click="dialog = false">
          Close
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script setup lang="ts">
const props = defineProps<{ header: string }>();
const { header } = toRefs(props);

const dialog = ref(false);
</script>
